For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cancel Transfer

DELETE https://api.sfox.com/v1/enterprise/transfer/:transfer_id

Once a Payment transfer has been initiated, the funds for that transfer will be on hold until processed or canceled. To cancel a transfer, use this endpoint to release those funds being held and to cancel the processing of the transfer.

Path Parameters

Name
Type
Description

transfer_id required

string

Partner generated transfer and idempotency ID

Responses

200 OK
{
    "data": {
        "success": true
    }
}

422 Unprocessable Content
{
    "error": "Transfer with transfer_id 7735757c-863e-4e07-9b84-af186424ebae not found."
}
{
    "error": "Funds transfer is not pending verification."
}

Example Requests

curl -X DELETE \
 -H "Authorization: Bearer ${ENTERPRISE_API_KEY}" \
 'https://api.sfox.com/v1/enterprise/transfer/7735757c-863e-4e07-9b84-af186424ebae'
const axios = require('axios');

const config = {
  method: 'delete',
  url: 'https://api.sfox.com/v1/enterprise/transfer/7735757c-863e-4e07-9b84-af186424ebae',
  headers: {
    'Authorization': `Bearer ${process.env.ENTERPRISE_API_KEY}`
  }
}

axios(config)
    .then((response) => {
      console.log(response.status)
      console.log(response.data)
    })
    .catch((err) => {
      console.error(err.response.status)
      console.error(err.response.data)
    });

Last updated